Bug 157577

Summary: Fix port: dns/curvedns should use USERS
Product: Ports & Packages Reporter: Chris Rees <utisoft>
Component: Individual Port(s)Assignee: Chris Rees <crees>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Chris Rees 2011-06-04 09:40:09 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=.

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please bear in mind that pkg-install has been removed




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--w7tyLwLOEvhOGAl6ot3tNc6x8uz0PritK8dQlY6R5AbMqZbZ
Content-Type: text/plain; name="dns-curvedns.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="dns-curvedns.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/curvedns/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	25 Mar 2011 20:16:51 -0000	1.2
+++ Makefile	2 Jun 2011 15:09:10 -0000
@@ -22,16 +22,10 @@
 CONFIGURE_SCRIPT=	configure.nacl
 ALL_TARGET=		# yes, an empty target.
 
-CURVE_USER=		bind
-CURVE_GROUP=		bind
-CURVE_UID=		53
-CURVE_GID=		53
-
-SUB_FILES=		pkg-install pkg-message pkg-deinstall
-SUB_LIST=		CURVE_USER=${CURVE_USER} \
-			CURVE_GROUP=${CURVE_GROUP} \
-			CURVE_UID=${CURVE_UID} \
-			CURVE_GID=${CURVE_GID}
+USERS=		bind
+GROUPS=		bind
+
+SUB_FILES=		pkg-message pkg-deinstall
 
 .include <bsd.port.pre.mk>
 
@@ -58,7 +52,6 @@
 	${CHOWN} -R ${CURVE_UID}:${CURVE_GID} ${PREFIX}/etc/curvedns
 	${CHMOD} 755 ${PREFIX}/etc/curvedns/run ${PREFIX}/etc/curvedns/log/run
 	${CHMOD} 0700 ${PREFIX}/etc/curvedns/env
-	${SH} ${PKGINSTALL}
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- files/pkg-install.in	4 Mar 2011 13:45:40 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,25 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/dns/curvedns/files/pkg-install.in,v 1.1 2011/03/04 13:45:40 miwi Exp $
-
-if ! pw groupshow %%CURVE_GROUP%% 2>/dev/null 1>&2; then
-	if pw groupadd %%CURVE_GROUP%% -g %%CURVE_GID%%; then
-		echo "Added group %%CURVE_GROUP%%"
-	else
-		echo "Adding group %%CURVE_GROUP%% failed..."
-		exit 1
-	fi
-fi
-
-if ! pw usershow %%CURVE_USER%% 2>/dev/null 1>&2; then
-	if pw useradd %%CURVE_USER%% -u %%CURVE_UID%% -g %%CURVE_GROUP%% -h - \
-		-s "/usr/sbin/nologin" -d "/" \
-		-c "Bind Sandbox"; \
-	then
-		echo "Added user %%CURVE_USER%%"
-	else
-		echo "Adding user %%CURVE_USER%% failed..."
-		exit 1
-	fi
-fi
-
-exit 0
Comment 1 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 09:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 09:40:21 UTC
Maintainer of dns/curvedns,

Please note that PR ports/157577 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157577

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 09:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 leo 2011-06-04 17:21:56 UTC
In Makefile removing the lines

CURVE_UID=              53
CURVE_GID=              53

is breaking these post-install section lines:

        ${ECHO} ${CURVE_UID} > ${PREFIX}/etc/curvedns/env/UID
        ${ECHO} ${CURVE_GID} > ${PREFIX}/etc/curvedns/env/GID
        ${CHOWN} -R ${CURVE_UID}:${CURVE_GID} ${PREFIX}/etc/curvedns

I don't know if it's the best solution, but if so,
then I suggest to also change those lines to:

        ${ECHO} 53 > ${PREFIX}/etc/curvedns/env/UID
        ${ECHO} 53 > ${PREFIX}/etc/curvedns/env/GID
        ${CHOWN} -R 53:53 ${PREFIX}/etc/curvedns

Or otherwise don't remove the variables/assignments.



An issue not related to this patch, but related to the user issue:

another thing that currently prevents the port from working instantly
is the default user in the "run" file.
By default it is set to "curvedns" but should be modified to "bind".
Therefor I would like to add an instruction to files/pkg-message.in

***************
*** 9,10 ****
--- 9,11 ----
   $EDITOR %%PREFIX%%/etc/curvedns/run
+  # set user to "bind", and modify IP's, and ports if needed.



-- 

Met vriendelijke groet,
With kind regards,


Leo Vandewoestijne.

  AS50381 / DNS-Lab
  <leo@dns-lab.com>
  <www.as50381.net>

INOC-DBA: 50381*100

PGP: dig +multiline leo.unicycle.net. cert
PGP: whois -r PGPKEY-FA19624D
Comment 5 Chris Rees freebsd_committer freebsd_triage 2011-06-22 17:50:34 UTC
Responsible Changed
From-To: pgollucci->crees
Comment 6 Chris Rees freebsd_committer freebsd_triage 2011-06-23 17:39:45 UTC
State Changed
From-To: feedback->closed

Superseded by ports/157854